Bug 517500 - mod_rewrite adds path info postfix after a substitution occured
Summary: mod_rewrite adds path info postfix after a substitution occured
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: httpd
Version: 5.4
Hardware: All
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Joe Orton
QA Contact: BaseOS QE
URL: http://issues.apache.org/bugzilla/sho...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-14 11:57 UTC by Joe Orton
Modified: 2017-02-28 16:48 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of: 214571
Environment:
Last Closed: 2010-03-30 08:28:26 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2010:0252 normal SHIPPED_LIVE httpd bug fix and enhancement update 2012-05-17 17:57:35 UTC

Description Joe Orton 2009-08-14 11:57:58 UTC
+++ This bug was initially created as a clone of Bug #214571 +++

For certain rewrite rules this will lead to an endless loop. In other cases the
rewrite will "only" produce a bad result and cause pages not found errors.

I could attach my own example, but I suppose the examples in the bugreports at
apache.org (http://issues.apache.org/bugzilla/show_bug.cgi?id=38642 and
http://issues.apache.org/bugzilla/show_bug.cgi?id=33022) should be self explanatory.

Issue also exists for RHEL 3. If you need a separate bug report for RHEL 3
please clone this one.

--- Additional comment from jorton@redhat.com on 2009-08-14 07:55:24 EDT ---

This behaviour was made possible with the upstream addition of the 

   DPI|DiscardPathInfo

flag in 2.2.12, so we can backport that.

Comment 5 errata-xmlrpc 2010-03-30 08:28:26 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2010-0252.html


Note You need to log in before you can comment on or make changes to this bug.